summaryrefslogtreecommitdiff
path: root/script/ci
diff options
context:
space:
mode:
authorAanand Prasad <aanand.prasad@gmail.com>2015-03-23 14:16:14 -0700
committerAanand Prasad <aanand.prasad@gmail.com>2015-03-27 14:39:32 -0700
commitdb852e14e4d8ebc1f0a477360ceef7694970dc59 (patch)
tree094f3155a48a83165451ba7f2e3b110185e56bf9 /script/ci
parent367ae0c848b53be5943c1f0051a734e6ecae58e7 (diff)
Add script/ci
Signed-off-by: Aanand Prasad <aanand.prasad@gmail.com>
Diffstat (limited to 'script/ci')
-rwxr-xr-xscript/ci18
1 files changed, 18 insertions, 0 deletions
diff --git a/script/ci b/script/ci
new file mode 100755
index 00000000..a1391c62
--- /dev/null
+++ b/script/ci
@@ -0,0 +1,18 @@
+#!/bin/bash
+# This should be run inside a container built from the Dockerfile
+# at the root of the repo:
+#
+# $ TAG="docker-compose:$(git rev-parse --short HEAD)"
+# $ docker build -t "$TAG" .
+# $ docker run --rm --volume="/var/run/docker.sock:/var/run/docker.sock" --volume="$(pwd)/.git:/code/.git" -e "TAG=$TAG" --entrypoint="script/ci" "$TAG"
+
+set -e
+
+>&2 echo "Validating DCO"
+script/validate-dco
+
+export DOCKER_VERSIONS=all
+. script/test-versions
+
+>&2 echo "Building Linux binary"
+su -c script/build-linux-inner user